Create checks
curl --request POST \
--url https://backstage.example.com/api/soundcheck/checks \
--header 'Content-Type: application/json' \
--data '
{
"checks": [
{
"id": "<string>",
"ownerEntityRef": "<string>",
"name": "<string>",
"description": "<string>",
"filter": {},
"exclude": {},
"rule": {},
"applicable": {},
"warning": true,
"passedMessage": "<string>",
"failedMessage": "<string>",
"notApplicableMessage": "<string>",
"pathResolver": "<string>",
"skillEntityRef": "<string>"
}
]
}
'import requests
url = "https://backstage.example.com/api/soundcheck/checks"
payload = { "checks": [
{
"id": "<string>",
"ownerEntityRef": "<string>",
"name": "<string>",
"description": "<string>",
"filter": {},
"exclude": {},
"rule": {},
"applicable": {},
"warning": True,
"passedMessage": "<string>",
"failedMessage": "<string>",
"notApplicableMessage": "<string>",
"pathResolver": "<string>",
"skillEntityRef": "<string>"
}
] }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
checks: [
{
id: '<string>',
ownerEntityRef: '<string>',
name: '<string>',
description: '<string>',
filter: {},
exclude: {},
rule: {},
applicable: {},
warning: true,
passedMessage: '<string>',
failedMessage: '<string>',
notApplicableMessage: '<string>',
pathResolver: '<string>',
skillEntityRef: '<string>'
}
]
})
};
fetch('https://backstage.example.com/api/soundcheck/checks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"checks": [
{
"id": "<string>",
"ownerEntityRef": "<string>",
"name": "<string>",
"description": "<string>",
"filter": {},
"exclude": {},
"skillEntityRef": "<string>"
}
]
}{
"error": {
"name": "<string>",
"message": "<string>"
},
"response": {
"statusCode": 123
},
"request": {
"method": "<string>",
"url": "<string>"
}
}Checks
Create checks
Create one or more checks. Supports three check types based on the fields provided:
- Rule-based (default): include a
rulefield with fact conditions. Soundcheck evaluates these automatically. - Manual: set
type: "manual". Results are entered by humans via the Soundcheck UI. - External: omit both
ruleandtype. An external system pushes results via POST /results.
POST
/
checks
Create checks
⌘I